Create/Update users
post
/cloudapi/restapi/v3/user
This operation enables you to create and modify users records. The operation creates a user if a matching user does not exist in the system or modifies the user if a match is found. The primary key for the user object is loginId. Any new roles provided under the roles attribute are provisioned for the user by the operation. If the request data does not include roles assigned to the user in the existing database, those role assignments will be removed. If successful, this operation returns an accepted status (202) with a location header pointing to a jobId status. The operation is complete when the jobId status returns OK (200). The previous create user operation must complete before another create user operation is allowed.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : UserDataStore
Type:
objectTitle:
UserDataStoreUser create, update, delete request payload and job result.
Show Source
-
added: array
List<UserRO>
Title:
List<UserRO>Users to create. -
deleted: array
List<string>
Title:
List<string>User login IDs to delete. -
deleteFailed: array
List<UserRO>
Title:
List<UserRO>Users that failed delete processing. -
exception: string
Title:
exceptionError key or message returned when processing fails. -
localizedException: boolean
Title:
localizedExceptionIndicates whether exception messages are localization keys. -
message: string
Title:
messageAdditional status message for the request or job. -
modified: array
List<UserRO>
Title:
List<UserRO>Users to update. -
updatedIdMap: object
updatedIdMap
Title:
updatedIdMapAdditional Properties Allowed: additionalPropertiesMapping of original user identifiers to updated identifiers.
Nested Schema : List<UserRO>
Type:
arrayTitle:
List<UserRO>Users to create.
Show Source
-
Array of:
object UserRO
Title:
UserROUser record used by Cloud Administration user management APIs.
Nested Schema : List<UserRO>
Type:
arrayTitle:
List<UserRO>Users that failed delete processing.
Show Source
-
Array of:
object UserRO
Title:
UserROUser record used by Cloud Administration user management APIs.
Nested Schema : List<UserRO>
Type:
arrayTitle:
List<UserRO>Users to update.
Show Source
-
Array of:
object UserRO
Title:
UserROUser record used by Cloud Administration user management APIs.
Nested Schema : updatedIdMap
Type:
objectTitle:
updatedIdMapAdditional Properties Allowed
Show Source
-
string
Mapping of original user identifiers to updated identifiers.
Mapping of original user identifiers to updated identifiers.
Nested Schema : UserRO
Type:
objectTitle:
UserROUser record used by Cloud Administration user management APIs.
Show Source
-
admin: boolean
Title:
adminIndicates whether the user has administrator privileges. -
changePwdAtNextLogin: boolean
Title:
changePwdAtNextLoginRead Only:trueIndicates whether the user must change password at next login. -
createdBy: string
Title:
createdByRead Only:trueUser or process that created this record. -
createdDate: object
CloudTZDateTime
Title:
CloudTZDateTimeRead Only:trueDate and time when the password was last reset. -
deprovisionedDate: string
(date-time)
Title:
deprovisionedDateRead Only:trueDate and time when the user was deprovisioned. -
deprovisioningDate: string
(date-time)
Title:
deprovisioningDateRead Only:trueDate and time when user deprovisioning started. -
disabled(required): boolean
Title:
disabledIndicates whether the user account is disabled. -
emailAddress(required): string
Title:
emailAddressUser email address. -
employeeNumber: string
Title:
employeeNumberEmployee number associated with the user. -
endDate: string
(date-time)
Title:
endDateDate after which the user account is inactive. -
firstName(required): string
Title:
firstNameUser first name. -
id: string
Title:
idRead Only:trueInternal user identifier. -
lastName(required): string
Title:
lastNameUser last name. -
lastPasswordResetDate: object
CloudTZDateTime
Title:
CloudTZDateTimeRead Only:trueDate and time when the password was last reset. -
locked: boolean
Title:
lockedIndicates whether the user account is locked. -
loginAttemptsCtr: string
Title:
loginAttemptsCtrRead Only:trueNumber of failed login attempts. -
loginId(required): string
Title:
loginIdUser login identifier. -
manager: string
Title:
managerManager login identifier or name. -
middleName: string
Title:
middleNameUser middle name. -
organization(required): object
CompanyRO
Title:
CompanyROCompany or organization record used by Cloud Administration APIs. -
password: string
(password)
Title:
passwordPassword to set for password reset operations. -
processed: boolean
Title:
processedRead Only:trueIndicates whether the user record has been processed by a create or update job. -
provisionedDate: string
(date-time)
Title:
provisionedDateRead Only:trueDate and time when the user was provisioned. -
provisioningDate: string
(date-time)
Title:
provisioningDateRead Only:trueDate and time when user provisioning started. -
pwdCantChange: boolean
Title:
pwdCantChangeIndicates whether the user is prevented from changing the password. -
pwdExpired: boolean
Title:
pwdExpiredRead Only:trueIndicates whether the user password has expired. -
pwdExpireDate: string
(date-time)
Title:
pwdExpireDateRead Only:trueDate and time when the current password expires. -
pwdWarnDate: string
(date-time)
Title:
pwdWarnDateRead Only:trueDate and time when password expiration warning starts. -
pwdWarned: boolean
Title:
pwdWarnedRead Only:trueIndicates whether the user has been warned about password expiration. -
roles: array
List<RoleRO>
Title:
List<RoleRO>Roles assigned to the user. -
startDate: string
(date-time)
Title:
startDateDate from which the user account is active. -
status: string
Title:
statusUser account status. -
statusInfo: string
Title:
statusInfoRead Only:trueProcessing status details for create or update jobs. -
statusInfoOK: boolean
Title:
statusInfoOK -
updatedDate: object
CloudTZDateTime
Title:
CloudTZDateTimeRead Only:trueDate and time when the password was last reset. -
userType: string
Title:
userTypeUser type.
Nested Schema : CloudTZDateTime
Type:
objectTitle:
CloudTZDateTimeRead Only:
trueDate and time when the password was last reset.
Show Source
-
millis: integer
(int64)
Title:
millis -
wrappedDateTime: string
(date-time)
Title:
wrappedDateTime
Nested Schema : CompanyRO
Type:
objectTitle:
CompanyROCompany or organization record used by Cloud Administration APIs.
Show Source
-
associations: array
List<string>
Title:
List<string>Unique Items Required:trueRole or product associations for the company. -
bidderCompany: boolean
Title:
bidderCompanyIndicates whether the company is a bidder company. -
createdBy: string
Title:
createdByRead Only:trueUser or process that created the company. -
createdDate: string
(date-time)
Title:
createdDateRead Only:trueDate and time when the company was created. -
displayName(required): string
Title:
displayNameDisplay name for the company. -
id(required): string
Title:
idInternal company identifier. -
inheritedPolicy: boolean
Title:
inheritedPolicyIndicates whether the password policy is inherited from a parent company. -
isDeletable: boolean
Title:
isDeletableRead Only:trueIndicates whether the company can be deleted. -
name(required): string
Title:
nameCompany name. -
parentId: string
Title:
parentIdIdentifier of the parent company. -
parentName: string
Title:
parentNameName of the parent company. -
processed: boolean
Title:
processedRead Only:trueIndicates whether the company record has been processed. -
pwdPolicy: object
ShortPasswordPolicyRO
Title:
ShortPasswordPolicyROSummary password policy associated with a company. -
status: string
Title:
statusCompany status. -
statusInfo: string
Title:
statusInfoRead Only:trueProcessing status details for create or update requests. -
type: string
Title:
typeCompany type. -
updatedBy: string
Title:
updatedByRead Only:trueUser or process that last updated the company. -
updatedDate: string
(date-time)
Title:
updatedDateRead Only:trueDate and time when the company was last updated.
Nested Schema : List<RoleRO>
Type:
arrayTitle:
List<RoleRO>Roles assigned to the user.
Show Source
-
Array of:
object RoleRO
Title:
RoleROApplication role assigned to a user or company.
Nested Schema : List<string>
Type:
arrayTitle:
List<string>Unique Items Required:
trueRole or product associations for the company.
Show Source
-
Array of:
string
Role or product associations for the company.
Nested Schema : ShortPasswordPolicyRO
Type:
objectTitle:
ShortPasswordPolicyROSummary password policy associated with a company.
Show Source
-
id: string
Title:
idPassword policy identifier. -
name(required): string
Title:
namePassword policy name.
Nested Schema : RoleRO
Type:
objectTitle:
RoleROApplication role assigned to a user or company.
Show Source
-
companyAccessType: boolean
Title:
companyAccessTypeIndicates whether the role grants company-level access. -
displayName: string
Title:
displayNameDisplay name for the role. -
id: string
Title:
idRead Only:trueInternal role identifier. -
name(required): string
Title:
nameRole name. -
userAccessType: string
Title:
userAccessTypeUser access type granted by the role.
Examples
Back to Top
Response
Supported Media Types
- application/json
202 Response
Create/Modify Users request has been accepted and currently in progress.
Root Schema : schema
Type:
integer(int64)400 Response
Invalid input, Please check.
409 Response
Another create or modify users job is already running for this session.
500 Response
Internal Server Error. Underlying Identity Management System threw an error, Please check the logs.